

layout(location = 0, index = 0) out vec4 outcol;

uniform sampler2D tex_over;
uniform sampler2D tex_under;
uniform vec4 opasity;

in vec2 texcoord_nm;

void main()
{
	vec4 col_over = texture( tex_over, texcoord_nm );
	vec4 col_under = texture( tex_under, texcoord_nm );

	outcol = mix( col_under, col_over, col_over.a * opasity );
}
